﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ExceptionHandling.classes;
namespace ExceptionHandling
{
    public partial class viewentry : System.Web.UI.Page
    {
        
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                if (!IsPostBack)
                {
                    Guid guid = new Guid(Request.QueryString["guid"].ToString());
                    LoadData(guid);
                }
            }
            catch
            {
                form.Visible = false;
                failure.Visible = true;
                success.Visible = false;
            }
        }
        protected void LoadData(Guid guid)
        {
            ExceptionHandlingGetData eh = new ExceptionHandlingGetData();
            eh.ViewParticipant(guid);
            fnameTB.Text = eh.FName;
            lnameTB.Text = eh.LName;
            emailTB.Text = eh.Email;
        }
        protected void btnSubmit_Click(object s, EventArgs e)
        {
            ExceptionHandlingActions ea = new ExceptionHandlingActions();
            ea.fname = fnameTB.Text;
            ea.lname = lnameTB.Text;
            ea.email = emailTB.Text;
            Guid guid=new Guid(Request.QueryString["guid"].ToString());
            ea.guid = guid;
            ea.Update();
            success.Visible = true;
            failure.Visible = false;
            form.Visible = false;
        }
        
    }
}